=head1 NAME

botch-dose2html - turn the yaml output by B<dose-builddebcheck> into html

=head1 SYNOPSIS

=over

=item B<botch-toolname> [options] I<in.yaml> I<out.html>

=back

=head1 DESCRIPTION

Given a buildcheck or distcheck result, create a html overview and machine
readable json data.

=head1 OPTIONS

=over 4

=item B<-h, --help>

Show help.

=item B<--btsuser>

bts user to associate packages with. Must be given in conjunction with B<--btstag>.

=item B<--btstag>

bts tag to associate packages with. Must be given in conjunction with B<--btsuser>.

=item B<--desc>

A HTML description that will be put on top of the generated page.

=item B<--srcsdir>

Output directory for individual source package overviews. Must be given in conjunction with B<--packages>.

=item B<--wnpp>

Retrieve and print wnpp status for packages. Must be given in conjunction with B<--packages>.

=item B<--packages>

Packages file to create a mapping from binary to source packages. Must be given in conjunction with B<--srcsdir>.

=item B<-v, --verbose>

Be verbose.

=back

=head1 EXAMPLE

Generate overview:

 dose-builddebcheck --explain --successes --failures --deb-native-arch=amd64 \
      packages-build packages-host sources | botch-dose2html - out.html

=head1 BUGS

See L<http://bugs.debian.org/botch>.

=head1 SEE ALSO

Debian doc-base Manual F</usr/share/doc/botch/wiki/Home.html>

=head1 AUTHOR

This man page was written by Johannes Schauer. Botch is written by Johannes
Schauer and Pietro Abate.

=head1 COPYRIGHT

Copyright 2012-2014 Johannes Schauer, Pietro Abate

This program is free software: you can redistribute it and/or modify it under
the terms of the GNU Lesser General Public License as published by the Free
Software Foundation, either version 3 of the License, or (at your option) any
later version. A special linking exception to the GNU Lesser General Public
License applies to this library, see the COPYING file for more information.

